Problem upgrading to cocos 3.17.2 and ndk r19c

Problem upgrading to cocos 3.17.2 and ndk r19c
0

Hi,
Does anyone have a suggestion about this problem?

/MyGames/_NDK/android-ndk-r19c/build/core/build-binary.mk:672: Android NDK: Module MyGame_shared depends on undefined modules: cocos2dx_static
/MyGames/_NDK/android-ndk-r19c/build/core/build-binary.mk:685: *** Android NDK: Aborting (set APP_ALLOW_MISSING_DEPS=true to allow missing dependencies) . Stop.

Android Studio 3.5.3
cocos 3.17.2
ndk r19c
PROP_BUILD_TYPE=ndk-build

Probably if I fix this problem, new errors will appear :sweat_smile:

I will recommend you to use ndk-r16b with 3.17.2 for successful compilation.

I tried to update to ndk r19c because, as @zhangxm said, cocos 3.17.2 worked ok using this ndk version (Cocos2d-x v3.17.2 released!).

Anyway, I’ve tried with ndk r16b and cocos 3.17.2 and i’ve the same problem :confused:

Android NDK: Module MyGame_shared depends on undefined modules: cocos2dx_static
Android NDK: Aborting (set APP_ALLOW_MISSING_DEPS=true to allow missing dependencies) . Stop.

Something wrong is happening with this line:

Screen Shot 2020-02-22 at 19.48.04

In Android.mk. Because it’s marked with red lines.
It’s so strange. Everything worked perfect with cocos 3.17. The problems began to happen since I updated to cocos 3.17.2.

Maybe something related to cmake? Because, as default, cocos 3.17.2 uses cmake. But i want to use ndk-build, so i edited this line in gradles.properties:

PROP_BUILD_TYPE=ndk-build

Because my project uses Android.mk and Application.mk and I want to keep this configuration in these files. So, I’ve to use ndk-build.